Providing an access token or a partial auth token and a TOTP, acquire a sudo token or a sudo, refresh and access token respectively
A valid access token (proof of identity) can be obtained via the /accesstoken endpoint. It has a 5 minutes validity period.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/user/2fa/totp/authenticate" \ -H "Content-Type: application/json" \ -d '{ "totp": "string" }'{ "accessToken": "string", "refreshToken": "string", "sudoToken": "string"}Verify a recovery code POST
Providing an access token or a partial auth token and a recovery code, acquire a sudo token or a sudo, refresh and access token respectively
Collect roles (replaced by POST /v1/role/query) GET
Get all (or some of) the roles of which a user is a member (either directly or indirectly). The POST /v1/role/query is a preferable alternative, which can better handle complex filters.
6 <= length <= 6